Subject: libtool build problems in current pkgsrc? (was Re: Question/Problem building pkg_install)
To: None <>
From: Christopher W. Richardson <>
List: tech-pkg
Date: 02/25/2004 23:07:21
Hash: SHA1


I gave up on the prospect of jumping from 1.5.2 pcksrc directly
to current in one fell swoop.  I made it from where I was to
1-5-PATCH003, to 1-6, to 1-6-1, to ... stuck again.  So, I've got
1.5.2 i386 kernel & userland, with 1-6-1 pkgsrc, trying build
current pkgsrc.  pkgtools upgraded fine.  But, libtool and and
libtool-base won't make it through the build process; I would
paste the output here, but that would be an infinite amount of
output, as it just keeps cycling through the configure process.
Here's a sample:

checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... none
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking build system type... i386-unknown-netbsdelf1.5.2
checking host system type... i386--netbsdelf
checking for a sed that does not truncate output... (cached)
checking for egrep... grep -E
checking for ld used by
checking if the linker
is GNU ld... yes
checking for
option to reload object files... -r
checking for BSD-compatible nm... nm
checking whether ln -s works... yes
checking how to recognise dependent libraries... match_pattern
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes

Any suggestions on what I can try next, or what other information
I can provide to get assistance would be greatly welcomed.

Version: GnuPG v1.0.7 (NetBSD)
Comment: Processed by Mailcrypt 3.5.6 and Gnu Privacy Guard <>